Subject: Re: bug#8411: due to missing sync even on 2.6.39, cp fails to copy an odd file

From: Pádraig Brady <[email-masked]>
Date: Sun, 03 Apr 2011 11:12:05 +0100

On 03/04/11 00:00, Ted Ts'o wrote:
> On Sat, Apr 02, 2011 at 08:08:34PM +0200, Jim Meyering wrote:
>> From 0a6d128d0d17c1604245f1caafe6af73584a0bb8 Mon Sep 17 00:00:00 2001
>> From: Jim Meyering <[email-masked]>
>> Date: Sat, 2 Apr 2011 19:59:30 +0200
>> Subject: [PATCH] copy: require fiemap sync also for 2.6.38 and 2.6.39 kernels
>>
>> * src/extent-scan.c (extent_need_sync): Require sync also for 2.6.38
>> and 2.6.39.  Without this, part of the cp/fiemap-empty test would fail
>> both on F15-to-be and rawhide.  For discussion and details, see:
>> http://thread.gmane.org/gmane.comp.gnu.coreutils.bugs/22190
> 
> FYI, the following fix has been merged into mainline, which should fix
> the problem for 2.6.39 once it is finally released, at least for ext4.
> It was merged right before Linus released 2.6.39-rc1.  I'm assuming
> that Rawhide released a pre-2.6.39-rc1 kernel in the middle of the
> merge window.

So this fix is not in 2.6.38?
It was committed before 2.6.38-rc6 was released,
and I would have thought it appropriate for 2.6.38 :(
Anyway I guess that we now have to assume that there
can be 2.6.38 kernels in the wild with this issue,
even if the stable branch does get the fix soon.

As for 2.6.39, I guess we can assume it's OK,
and ignore the rawhide aberration for a while.

cheers,
Pádraig.